Bug 134694 - glibc double free or corruption 0x08737e80 - samba
glibc double free or corruption 0x08737e80 - samba
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-10-05 12:50 EDT by Tim Lank
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-15 14:55:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smb.conf from my box (938 bytes, text/plain)
2004-10-12 11:14 EDT, Tim Lank
no flags Details

  None (edit)
Description Tim Lank 2004-10-05 12:50:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Red Hat Enterprise Linux RC1 with included Samba. 
 
When I try and run a net ads changetrustpw command I get . Seems like 
a low level compatibility problem with glibc and 
Samba.  Please advise. 
 
*** glibc detected *** double free or corruption:  0x08737e80 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.try and run a net ads changetrustpw command 
*** glibc detected *** double free or corruption:  0x08737e80 
2.
3.
    

Actual Results:  *** glibc detected *** double free or corruption:  
0x08737e80 


Expected Results:  the error should not have appeared

Additional info:
Comment 1 Jakub Jelinek 2004-10-05 12:52:17 EDT
Yeah, any application that does double free or stomps on memory
is incompatible with glibc.
This is a samba bug.
Comment 2 Jay Fenlason 2004-10-08 10:41:22 EDT
What version of the Samba rpms are you using?  If it's earlier than 
3.0.8-0.pre1, can you try running those RPMs?  I added a patch to 
those rpms that fixed an error in one of Samba's low level routines 
that caused smbtree to fail this way. 
 
Unfortunatly, I don't have a working ADS setup here at the moment, 
so "net atds changetrustpw" doesn't give me that error.  Can you 
attach a copy of your /etc/samba/smb.conf to this bug? 
Comment 3 Tim Lank 2004-10-12 11:14:12 EDT
Created attachment 105067 [details]
smb.conf from my box

This is the smb.conf from my RHEL4 beta RC1 box
Comment 4 Tim Lank 2004-10-13 08:43:18 EDT
I am informed by one of the Samba Team members that this is being 
looked at and will be addressed.
Comment 5 Jay Turner 2005-01-14 05:07:05 EST
Any status on this?
Comment 6 Jay Fenlason 2005-01-14 09:29:25 EST
The fix for this is in the samba-3.0.9-changetrustpw.patch patch which is 
included in samba-3.0.1-1.4E and later. 
Comment 7 Jay Turner 2005-01-15 14:55:06 EST
Closing out then as that version is in the RC.

Note You need to log in before you can comment on or make changes to this bug.